TESTING/LIN/dgennd.f(3)

NAME
TESTING/LIN/dgennd.f

SYNOPSIS

  Functions/Subroutines
logical function dgennd (m, n, a, lda)
DGENND

Function/Subroutine Documentation

  logical function dgennd (integer m, integer n, double precision, dimension( lda, * ) a, integer lda)

DGENND

Purpose:

    !>
    !>    DGENND tests that its argument has a non-negative diagonal.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          The number of rows in A.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns in A.
    !>

    A

    !>          A is DOUBLE PRECISION array, dimension (LDA, N)
    !>          The matrix.
    !>

    LDA

    !>          LDA is INTEGER
    !>          Leading dimension of A.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 67 of file dgennd.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.